"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const class_validator_1 = require("class-validator");
const type_graphql_1 = require("type-graphql");
const graphql_1 = require("graphql");
let ConnectionArgs = class ConnectionArgs {
};
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, {
        nullable: true,
        description: 'Paginate before opaque cursor'
    }),
    __metadata("design:type", Object)
], ConnectionArgs.prototype, "before", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, {
        nullable: true,
        description: 'Paginate after opaque cursor'
    }),
    __metadata("design:type", Object)
], ConnectionArgs.prototype, "after", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLInt, {
        nullable: true,
        description: 'Paginate first'
    }),
    class_validator_1.Min(0),
    __metadata("design:type", Number)
], ConnectionArgs.prototype, "first", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLInt, {
        nullable: true,
        description: 'Paginate last'
    }),
    class_validator_1.Min(0),
    __metadata("design:type", Number)
], ConnectionArgs.prototype, "last", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLInt, {
        nullable: true,
        description: 'Paginate skip'
    }),
    class_validator_1.Min(0),
    __metadata("design:type", Number)
], ConnectionArgs.prototype, "skip", void 0);
ConnectionArgs = __decorate([
    type_graphql_1.ArgsType()
], ConnectionArgs);
exports.ConnectionArgs = ConnectionArgs;
let PageInfo = class PageInfo {
};
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLBoolean),
    __metadata("design:type", Boolean)
], PageInfo.prototype, "hasNextPage", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLBoolean),
    __metadata("design:type", Boolean)
], PageInfo.prototype, "hasPreviousPage", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, { nullable: true }),
    __metadata("design:type", String)
], PageInfo.prototype, "startCursor", void 0);
__decorate([
    type_graphql_1.Field(() => graphql_1.GraphQLString, { nullable: true }),
    __metadata("design:type", String)
], PageInfo.prototype, "endCursor", void 0);
PageInfo = __decorate([
    type_graphql_1.ObjectType()
], PageInfo);
exports.PageInfo = PageInfo;
