export declare class MetadataStorage {
    enumMap: {
        [table: string]: {
            [column: string]: any;
        };
    };
    classMap: {
        [table: string]: any;
    };
    pkMap: {
        [table: string]: string;
    };
    addEnum(tableName: string, columnName: string, enumName: string, enumValues: any, filename: string): void;
    addModel(name: string, klass: any, filename: string): void;
    addPk(name: string, pk: any): void;
    getEnum(tableName: string, columnName: string): any;
    getModel(name: string): any;
    getPk(name: string): string;
}
export declare function getMetadataStorage(): MetadataStorage;
