import { GraphQLSchema } from 'graphql';
import { Connection } from 'typeorm';
interface CodeGeneratorOptions {
    resolversPath: string[];
    tcgImportPath?: string;
}
export declare class CodeGenerator {
    private connection;
    private generatedFolder;
    private options;
    schema?: GraphQLSchema;
    constructor(connection: Connection, generatedFolder: string, options: CodeGeneratorOptions);
    createGeneratedFolder(): void;
    generate(): Promise<void>;
    private generateBinding;
    private buildGraphQLSchema;
    private writeGeneratedTSTypes;
    private getGeneratedTypes;
    private writeSchemaFile;
    private writeGeneratedIndexFile;
    private writeToGeneratedFolder;
    private writeToGeneratedClassesFolder;
}
export {};
