import Debug from 'debug';
export declare const logger: {
    error: Debug.Debugger;
    info: Debug.Debugger;
    log: Debug.Debugger;
    warn: Debug.Debugger;
};
declare type logFunc = (...args: any[]) => void;
export interface Logger {
    error: logFunc;
    info: logFunc;
    log: logFunc;
    warn: logFunc;
}
export {};
