import { Connection } from 'typeorm';
import { RelationMetadata } from 'typeorm/metadata/RelationMetadata';
import DataLoader from 'dataloader';
import { GraphQLResolveInfo } from 'graphql';
import { BaseModel } from '../decorators';
export declare class DataLoaderResolver {
    private connection;
    private relation;
    constructor(connection: Connection, relation: RelationMetadata);
    filter(args: any, fields?: string[]): DataLoader<any, unknown>;
    filterAndConnection<Entity extends BaseModel, WhereArgs>(args: WhereArgs, info: GraphQLResolveInfo): DataLoader<any, unknown>;
    simple(fields?: string[]): DataLoader<any, unknown>;
}
