import { ConnectionArgs } from '../../sgql';
export interface WhereInputType {
    [key: string]: any;
}
export interface WhereUniqueInputType {
    where: WhereInputType;
}
export interface WhereArgsType extends ConnectionArgs {
    where?: WhereInputType;
    orderBy?: {
        [key in keyof object]: string;
    }[];
}
export declare type FilterType = AndFilter | OrFilter | NotFilter | RelationFilter | Filter;
export declare class AndFilter {
}
export declare class OrFilter {
}
export declare class NotFilter {
}
export declare class RelationFilter {
    type: any;
    path: any;
    logic: any;
    from: any;
    value: any;
    constructor(args: {
        type: 'multiple' | 'single';
        path: string;
        logic: string;
        from: any;
        value: any;
    });
}
export declare class Filter {
    key: any;
    value: any;
    constructor(args: {
        key: string;
        value: any;
    });
}
