"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function promiseMap(inputValues, mapper) {
    const reducer = (acc$, inputValue) => acc$.then(acc => mapper(inputValue).then(result => acc.push(result) && acc));
    return inputValues.reduce(reducer, Promise.resolve([]));
}
exports.promiseMap = promiseMap;
